<template>
	<mind-view>
		<template v-slot:toolbar-actions>
			<el-button 
				type="primary" 
				plain 
				icon="el-icon-new" 
				size="small" 
				@click="onNew()"
				>Nuevo
			</el-button>
		</template>
		<mind-table :data="RESOURCE_LIST" 
			row-key="id" :row-class-name="estiloInactivos"
			:actions="{edit:true, delete:true}"
			@edit="onEdit"   @delete="onDelete">
			<el-table-column sortable prop="apellido" label="Apellido"  />
			<el-table-column sortable prop="nombre" label="Nombre"  />
			<el-table-column sortable prop="dni" label="DNI"  />
			<!-- <el-table-column prop="movil" label="Móvil"  /> -->
			<el-table-column prop="fechaIngreso" label="Fecha Ingreso"  />
			<el-table-column prop="fechaEgreso" label="Fecha Egreso"  />
		</mind-table>
		<template v-slot:child>
			<router-view :key="$route.fullPath"  ></router-view>
		</template>
	</mind-view>
</template>

<script>
import choferes from '@/model/choferes'

export default {
  async created() {
		choferes.fetch({})
		.then((response)=>{
			this.RESOURCE_LIST = response.value
		})
	},
	computed:{
	},
	methods: {
		onNew() {
			this.$router.push(`${this.$route.path}/new`)
		},
		onEdit(row) {
			this.$router.push(`${this.$route.path}/${row.id}`)
		},
		onDelete(row) {
			this.$confirm(`¿Eliminar la Comisión ${row.nombre}?`, 'Atención', {
				confirmButtonText: 'OK',
				cancelButtonText: 'Cancelar',
				type: 'warning'
			}).then(async () => {
				this.selectedRow = null
				choferes.delete(row)
			}).catch(() => {
				this.$message({
					type: 'info',
					message: 'Eliminación Cancelada',
					duration: 1500,
				});
			});
		},
		estiloInactivos(recurso) {
			const clase = recurso.row.activo ? '' : 'disabled'
			return clase
		}
	},
	data() {
		return {
			RESOURCE_LIST: [],
		}
	}
	
}
</script>
<style >
	.el-table .disabled {
    /* background: #f0f9eb; */
		text-decoration: line-through;
		color: rgb(158, 154, 154);
	}
</style>
